0
votes
0answers
65 views

Install CUDA 6.0 on Debian 7 via package manager

I am following the official installation guide for Ubuntu. I first installed the cuda-repo package (cuda-repo-ubuntu1304_6.0-37_amd64.deb), which adds the NVIDIA repository to apt. Then it gives when ...
0
votes
1answer
40 views

How to remove unmet dependecies Debian 7 Wheezy

I'm trying to install different packages but it's showing unmet dependencies in most of them even after sudo apt-get -f install. Below is my /etc/apt/sources.list file: # # deb-src cdrom:[Debian ...
2
votes
1answer
310 views

Unmet dependencies after using a backports repository

I have added a backport repository to apt's sources.list to get an application: deb http://ftp.uk.debian.org/debian/ wheezy-backports main Long story short: I did not manage to install the ...
0
votes
1answer
130 views

Broken libglib on debian 6

So, some time ago I wanted to update mpd from 1.5 to 1.6 which required a newer version of libglib( >= 2.31.8) on amd64, so I compiled them from source as I was on debian oldstable and couldn't find ...
5
votes
2answers
101 views

Debian: An MTA just to solve dependencies, not because I really need one

It has bothered me for years that with every new Debian installation, a full MTA (Mail Transport Agent) was installed even if I had no desire to use the machine as a mail server. The MTA was necessary ...
7
votes
4answers
311 views

How can I know if a virtual package is “installed” on a Debian system?

Some packages, have a Provides: header. For example, the package postfix on Debian Wheezy has Provides: mail-transport-agent. The package mail-transport-agent which doesn't exist physically is ...
4
votes
2answers
103 views

Does Debian have any kind of virtual environment for make install?

If someone used a Python virtualenv he knows we can run scripts in its own environment installing all necessary libraries which won't impact main python distribution. Do we have something similar in ...
0
votes
2answers
93 views

I just want to install a package! [closed]

I spent a few hours trying to install a package and didn't succeed; it seems like that just happens sometimes in a Linux environment. Background: The package I want to install is available as 1) a ...
1
vote
1answer
546 views

Troubles with unresolved dependencies on Debian 6 Sqeeze

I'm working with a VirtualBox 4.2.14 VM and Debian 6 Sqeeze as guest system and trying to (re-)install Nginx, but it's not working: root@devmv:~# apt-get install nginx Reading package lists... Done ...
2
votes
1answer
360 views

Can't Install netflix-desktop in Debian…Aptitude Has Unmet/Broken Dependencies

I'm trying to install the netflix-desktop package in Debian 'jessie'. I was able to get this to work on my laptop running Debian 'wheezy' a few months ago, but on my desktop I keep running into these ...
1
vote
3answers
208 views

download packages for different distribution with apt

I want to download a .deb package with it's dependencies for a different distribution. I have many Linux systems in my company: Ubuntu 11.04, 11.10, 12.10, and Debian 5 and 6. The command to ...
4
votes
2answers
2k views

Debian: Is it possible/safe to install packages from an older version of the repository?

I'm currently running Debian testing (Wheezy) and am trying to get SCIM working. I want to install the scim-pinyin package, but there is no such package available in the testing repository, although ...
0
votes
2answers
570 views

Installing virtualbox on Debian: dependency problems

I'm currently running Debian Wheezy (Testing). I want to install virtualbox but when I run the following: # aptitude install virtualbox ...I get the following result: The following packages have ...
1
vote
1answer
2k views

libssl1.0.0 doesn't satisfy libssl0.9.8 dependency?

In Debian Wheezy, I'm trying to install the vmware-view-client package from the Ubuntu Software Center (because the open client won't work for my situation), but dpkg can't handle it. Synaptic says I ...
1
vote
1answer
780 views

Apt-Get Install Unmet Dependencies

My debian computer will not install the new kernel. It says I have unmet dependencies, and those dependencies say they have unmet dependencies. Many of these dependencies are already installed ...
1
vote
0answers
353 views

Make and apt-get Have Stopped Working

So I downloaded the non-free broadcom driver(b44) for my debian install, however when I try to make it I get the following error: make make -C /lib/modules/2.6.32-5-amd64/build ...
6
votes
5answers
5k views

Installing Skype on Debian x64

I am new to Linux and I'm trying to install Skype using this manual. I successfully download the package using the command: wget -O skype-install.deb http://www.skype.com/go/getskype-linux-deb-64 ...
3
votes
1answer
336 views

Conditional dependencies for a Debian package

I am creating a package that needs to depend on a package if another is installed, but needs a different dependency if no such package is installed. Is that possible using just the control file of the ...
1
vote
2answers
492 views

problems installing lcov on Debian 6

I have been stuck for a few hours trying to install lcov on a debian 6 box. Any help would be greatly appreciated! What I have tried the following in the command line: ...
1
vote
0answers
225 views

Dependencies between shared libraries in the same Debian packages

Suppose I want to create a package with multiple shared libraries - call it libfoo, which contains liba.so.1 and libb.so.1. Now, say liba.so.1 uses a symbol from libb.so.1. If I compile like this, ...
3
votes
2answers
16k views

Debian 6 Squeeze - installing build-essentials - gcc / g++

The first thing to say is: "I am noob", so please be patient and don't laugh.. too much on me. I need to install c / c++ compiler and I heard that the best thing to do is to install gcc/g++ for that ...
1
vote
2answers
1k views

Unmet acroread dependencies preventing Synaptic install

In Synaptic I am getting the error: acroread: Depends: acroread-l10n-en but it is not going to be installed or acroread-l10n Depends: acroread-debian-files but it is not going to be installed ...
4
votes
1answer
2k views

Problems with apt-get upgrade on Debian (404 Not Found)

I can't update my Debian Sid system. on running the apt-get upgrade I am getting: maciej@wladyslawa:/etc/apt$ sudo apt-get upgrade Reading package lists... Done Building dependency tree ...
11
votes
2answers
1k views

Is it possible to simulate installation of Debian packages, still marking them installed?

Here's what I would like. Start with a virtual system with no installed packages. Then I invoke a tool similar to apt-get to ask it to compute the dependencies and mark all the packages that would be ...